Texa Desk Application API · Custom attributes
Add a new custom attribute
POST/
Add a new custom attribute to account
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
Body application/json
attribute_display_namestringAttribute display name
attribute_display_typeintegerAttribute display type (text- 0, number- 1, currency- 2, percent- 3, link- 4, date- 5, list- 6, checkbox- 7)
attribute_descriptionstringAttribute description
attribute_keystringAttribute unique key value
attribute_valuesarray of stringAttribute values
attribute_modelintegerAttribute type(conversation_attribute- 0, contact_attribute- 1)
regex_patternstringRegex pattern (Only applicable for type- text). The regex pattern is used to validate the attribute value(s).
regex_cuestringRegex cue message (Only applicable for type- text). The cue message is shown when the regex pattern is not matched.
Responses
200Success
idintegerIdentifier
attribute_display_namestringAttribute display name
attribute_display_typestringAttribute display type (text, number, currency, percent, link, date, list, checkbox)
attribute_descriptionstringAttribute description
attribute_keystringAttribute unique key value
regex_patternstringRegex pattern
regex_cuestringRegex cue
attribute_valuesstringAttribute values
attribute_modelstringAttribute type(conversation_attribute/contact_attribute)
default_valuestringAttribute default value
created_atstringThe date and time when the custom attribute was created
updated_atstringThe date and time when the custom attribute was updated
403Access denied
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring